<?php
include 'topo.php';

$msg = "";
$msgClass = "msgErro";
$titulo = "Atendimentos > Avise-me";
$msg_ok = "Lida com sucesso";
$msg_erro = "Erro ao marcar como lida";

##########################
# marcar como lida
##########################
if(isPost($_POST['idexcluir'])){
	$obj = new Aviseme();
	$obj->id = $_POST['idexcluir'];
	$obj->carregar();
	$obj->lida = 's';
	if($obj->alterar()){
		$msg = $msg_ok;
		$msgClass = "msgSucesso";
	}
	else{
		$msg = $msg_erro;
	}
}
?>

<h1><?=$titulo?></h1>

<?php include PATHADMIN.'msg.php'; ?>

<div class="boxForm">
	<div class="boxTitulo">Filtrar</div>
	<form name="form1" id="form1" action="" method="post">
		<div class="campo1">
			<label for="de">De:</label>
			<input calendario="1" type="text" id="de" name="de" value="<?=$_POST['de']?>" class="width-auto" size="12" maxlength="10" <?=MASCARA_DATA?> />
			&nbsp;<span class="dica">dd/mm/aaaa</span>
		</div>
		<div class="campo2">
			<label for="ate">Até:</label>
			<input calendario="1" type="text" id="ate" name="ate" value="<?=$_POST['ate']?>" class="width-auto" size="12" maxlength="10" <?=MASCARA_DATA?> />
			&nbsp;<span class="dica">dd/mm/aaaa</span>
		</div>
		<!--div class="campo1">
			<label for="categoria">Categoria:</label>
			<select id="categoria" name="categoria" />
				<option value=""></option>
				<?php
				/*
				$listaCat = UtilObjeto::listar("categoria","WHERE excluir = 's' ORDER BY nome");
				if(is_array($listaCat)){
					foreach($listaCat as $idCat => $dadosCat){
						$selCat = ($_POST['categoria'] == $idCat) ? 'selected' : '';
						?>
						<option value="<?=$idCat?>" <?=$selCat?>><?=$dadosCat['nome']?></option>
						<?php
					}
				}
				*/
				?>
			</select>
		</div>
		<div class="campo2">
			<label for="produto">Produto:</label>
			<select id="produto" name="produto" />
				<option value=""></option>
				<?php
				/*
				if(isPost($_POST['categoria'])){
					$listaP = Produto::listar("AND pc.id = ".$_POST['categoria']." ORDER BY p.nome");
					if(is_array($listaP)){
						foreach($listaP as $idP => $dadosP){
							$selP = ($_POST['produto'] == $idP) ? 'selected' : '';
							?>
							<option value="<?=$idP?>" <?=$selP?>><?=$dadosP['nome']?></option>
							<?php
						}
					}
				}
				*/
				?>
			</select>
		</div-->
		<div class="campo1">
			<?php
			$chk = (!isset($_POST['ok']) || $_POST['nao'] == '1') ? 'checked' : '';
			?>
			<input type="checkbox" id="nao" name="nao" value="1" class="width-auto" <?=$chk?> />
			&nbsp;<span class="dica">Somente não visualizados</span>
		</div>
		<div class="campo3 align-right">
			<input type="submit" class="botao" name="ok" value="Filtrar" title="Filtrar" />
		</div>
	</form>
</div>

<?php
$filtro = "";
if(isPost($_POST['ok'])){
	// monta filtro
	if(isPost($_POST['de'])){
		$filtro .= " AND a.dt_cadastro >= '".data_to_mysql($_POST['de'])." 00:00:00'";
	}
	if(isPost($_POST['ate'])){
		$filtro .= " AND a.dt_cadastro <= '".data_to_mysql($_POST['ate'])." 23:59:59'";
	}
	/*
	if(isPost($_POST['categoria'])){
		$filtro .= " AND c.id = ".$_POST['categoria'];
	}
	if(isPost($_POST['produto'])){
		$filtro .= " AND p.id = ".$_POST['produto'];
	}
	*/
	if(isPost($_POST['nao'])){
		$filtro .= " AND a.lida = 'n'";
	}
}
else {
	$filtro = "AND a.lida = 'n'";
}

$lista = Aviseme::listar($filtro." ORDER BY a.lida DESC, a.dt_cadastro DESC, a.nome");
if(is_array($lista)){
	?>
	<div class="boxLista">
		<div class="boxTitulo">Avise-me <span>(Total: <?=count($lista)?>)</span></div>
		<table cellspacing="0" cellpadding="6" border="0">
			<tr>
				<th>Nome</th>
				<th>Email</th>
				<th>Produto</th>
				<th>Data</th>
				<th width="100" class="center">Ações</th>
			</tr>
			<?php foreach($lista as $id => $dados) { ?>
				<tr class="<?=$dados['lida']=='n'?'nao-lida':''?>">
					<td><?=$dados['nome']?></td>
					<td><?=$dados['email']?></td>
					<td>Código: <?=$dados['produtoCodigo']?></td>
					<td><?=mysql_to_data($dados['dt_cadastro'])?></td>
					<td align="center">
						<a href="<?=URLADMIN?>aviseme-visualizar.php?id=<?=$id?>" title="Visualizar"><img src="<?=URLIMG?>admin/ver.png" /></a>
						<?php if($dados['lida'] == 'n') { ?>
							&nbsp;
							<a href="javascript:void()" title="Marcar como lida" lida="1" pk="<?=$id?>"><img src="<?=URLIMG?>admin/ok.gif" /></a>
						<?php } ?>
					</td>
				</tr>
			<?php } ?>
		</table>
	</div>
	<?php
}
?>

<?php
include PATHPUBLIC.'form_excluir.php';
include 'rodape.php';
?>